Subject: Re: [BEHAVE] draft-xli-behave-ivi -- Error per SIIT !

From: Pierre Rondou <[email-masked]>
Date: Wed, 04 May 2011 02:26:48 +0200

Hello,

Shouldn't those modifications be applied to the web document?

Neither the draft document on the IETF website 
(http://datatracker.ietf.org/doc/draft-xli-behave-ivi/) nor the RFC 
queued document 
(http://www.rfc-editor.org/internet-drafts/draft-xli-behave-ivi-07.txt) 
are updated.

Plus, may I suggest to update all references to the old RFC 2765 to the 
new RFC 6145? RFC 6145 obsoletes RFC 2765.

Regards,

Pierre RONDOU

Le 13/03/11 14:57, Xing Li a écrit :
> Another typing error in the previous mail. It should be
>
> -------------------------------------------------------------
> IPv4 Field Translated to IPv6
> -------------------------------------------------------------
> Version (0x4) Version (0x6)
> IHL discarded
> Type of Service copied from the IPv6 Traffic Class
> Total Length Payload Length = Total Length - 20
> Identification discarded
> Flags discarded
> Offset discarded
> Time to Live Hop Limit
> Protocol Next Header
> Header Checksum discarded
> Source Address IVI address mapping
> Destination Address IVI address mapping
> Options discarded
> -------------------------------------------------------------
>
> Figure 6: IPv4 to IPv6 Header translation
>
>
> -------------------------------------------------------------
> IPv6 Field Translated to IPv4 Header
> -------------------------------------------------------------
> Version (0x6) Version (0x4)
> Traffic Class copied from IP Type Of Service and Precedence field
> Flow Label discarded
> Payload Length Total Length = Payload Length + 20
> Next Header Protocol
> Hop Limit TTL
> Source Address IVI address mapping
> Destination Address IVI address mapping
> - IHL = 5
> - Header Checksum recalculated
> -------------------------------------------------------------
>
> Figure 7: IPv6 to IPv4 Header translation
>
> Regards,
>
> xing
>
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave

---

From: Xing Li <[email-masked]>
Date: Wed, 04 May 2011 18:44:46 +0800

Hi, Pierre,

Thanks for your mail.

于 2011/5/4 8:26, Pierre Rondou 写道:
> (http://www.rfc-editor.org/internet-drafts/draft-xli-behave-ivi-07.txt) are 
> updated.

The updated version was in RFC Editor's homepage duing the editing 
process, not in http://datatracker.ietf.org/doc/draft-xli-behave-ivi/

It is published, https://datatracker.ietf.org/doc/rfc6219/
>
> Plus, may I suggest to update all references to the old RFC 2765 to 
> the new RFC 6145? RFC 6145 obsoletes RFC 2765.

It clearly states

    The IVI is an early design deployed in the CERNET for the stateless
    translation.  The IETF standard IPv4-IPv6 stateless and stateful
    translation mechanisms are defined in [RFC6144], [RFC6052],
    [RFC6145], [RFC6146], and [RFC6147].

Regards,

xing